Bug 215016 - ata-piix failure on ICH6
ata-piix failure on ICH6
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
: 231273 (view as bug list)
Depends On:
Blocks: FC7Target FCMETA_SATA
  Show dependency treegraph
Reported: 2006-11-10 11:57 EST by mail@romal.de
Modified: 2013-07-02 22:30 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-21 04:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda Crash dump from f7t3 (68.17 KB, text/plain)
2007-03-29 16:30 EDT, mail@romal.de
no flags Details
lspci -n (633 bytes, text/plain)
2007-04-19 15:23 EDT, mail@romal.de
no flags Details

  None (edit)
Description mail@romal.de 2006-11-10 11:57:48 EST
Description of problem:

FC6 does not find the harddisk, fc6test3 does find the harddisk.

fc6 does load ata_piix which does not work, fc6test3 loads the correct
ahci-module and therefore detects the harddrive.

System is a Toshiba Tecra S3 laptop with a sata-harddisk and intel-chipset. 

Version-Release number of selected component (if applicable):

How reproducible:

Every time.

Steps to Reproduce:
1. Try to instal fc6 release
Actual results:

Expected results:

Additional info:
Comment 1 mail@romal.de 2007-02-08 11:36:00 EST
Not fixed in fc7test1.
Comment 2 mail@romal.de 2007-03-02 00:36:50 EST
Not fixed in f7test2.
Comment 3 mail@romal.de 2007-03-29 16:30:00 EDT
Created attachment 151234 [details]
Anaconda Crash dump from f7t3

I tried to instal f7test3. Anaconda crashes while searching for existing
fedora installations. It dumps a debug-log into the dialog and asks to report a
bug against anaconda. I'm quite sure it'y my long-time-bug 215016 as anaconda
does not see the harddisk.
Comment 4 mail@romal.de 2007-03-30 13:06:25 EDT
If I boot f7t3 install dvd with kernel parameter noprobe, the problem can be fixed.

When manually selecting the drivers, the driver ahci has to be loaded first,
that brings up the harddisk. Second the driver ata_piix has to be loaded, to get
access to the optival drive.

Perhaps it`s an anaconda and no kernel bug ?
Comment 5 mail@romal.de 2007-04-09 16:50:06 EDT
Tested on 2007-04-09s Rawhide. Loading the wrong drivers by Anaconda can be
fixed by starting with noprobe and loading the drivers manually. Sadly the
installed systems does not boot and crahes while starting.
Comment 6 mail@romal.de 2007-04-17 11:50:11 EDT
No changes in 2007-04-17 rawhide.
Comment 7 Dave Jones 2007-04-19 15:08:33 EDT
can you attach the lspci -n output please?
Comment 8 mail@romal.de 2007-04-19 15:23:40 EDT
Created attachment 153050 [details]
lspci -n

sure, comes at once.
Comment 9 mail@romal.de 2007-04-23 14:05:29 EDT
Ubuntu 7 has similar problems.

Comment 10 Dave Jones 2007-04-23 16:03:55 EDT
*** Bug 231273 has been marked as a duplicate of this bug. ***
Comment 11 mail@romal.de 2007-04-27 09:45:44 EDT
Tested f4t3 because of kernel 2.6.21 but no change.
Comment 12 mail@romal.de 2007-05-14 14:28:34 EDT
no change with kernel 3142
Comment 13 Jeremy Katz 2007-05-18 11:50:30 EDT
Given the presence of a workaround, moving to target.
Comment 14 mail@romal.de 2007-05-18 11:53:31 EDT
Which workaround ?
Comment 15 mail@romal.de 2007-05-22 15:36:06 EDT
I just tried to install todays rawhide via pxe. The bug is not fixed.
Anaconda does not see the harddisk.

Booting with noprobe and manually loading ahci and ata_piix (order
matters) gets the harddisk online but installs a non-bootable system.
Comment 16 Bradley 2007-06-01 03:51:40 EDT
This bit me upgrading to F7. I managed to install FC6 by changing VTs and doing
rmmod ata_piix/insmod ahci, but under F7 something's holding a reference to the
DVD drive, so I can't rmmod ata_piix.

This is on a Toshiba Tecra S3, with no BIOS option to enable/disable AHCI. I
haven't tried noprobe as an option yet.

Unlike comment #4, I don't have to load ata_piix; ahci works for both drives.
Comment 17 Bradley 2007-06-01 21:03:39 EDT
Actually, I do have to load ata_piix, but noprobe worked for me.
Comment 18 Mihai Harpau 2007-06-08 16:29:05 EDT
I could install F7 on a Toshiba Tecra S3 130 by booting with noprobe and
manually loading ahci first and ata_piix second. 

After that system work without problems.
Comment 19 mail@romal.de 2007-06-15 13:54:17 EDT
Still there in F7 release and Rawhide 2007-06-15.

Comment #18 -> comment #5 still applies to my machine.
Comment 20 mail@romal.de 2007-07-24 16:58:19 EDT
Still there in rawhide-2007-07-24.
Comment 21 mail@romal.de 2007-08-13 15:45:15 EDT
Still there in F8Test1.
Comment 22 mail@romal.de 2007-09-15 08:38:13 EDT
Still there in F8Test2.
Comment 23 mail@romal.de 2007-09-15 08:42:11 EDT
Tejun Heo from Kernel-Bugzilla says, it`s a distribution-error due to wrong
module loading order.


I tested F8test2 with noprobe and manually loaded the modules. The installation
works, but produces a non booting system.
Comment 24 Bill Nottingham 2007-09-17 14:00:19 EDT
Tejun is wrong.

Module loading is non-deterministic, thanks to the kernel-mandated use of udev.
If drivers cannot cope with this, they are broken.
Comment 25 mail@romal.de 2007-09-17 14:10:35 EDT
Thanks for your comment. I reopened the bug in bugzilla.kernel.org

cu romal
Comment 26 mail@romal.de 2007-09-19 01:51:46 EDT

------- Comment #17 from htejun@gmail.com  2007-09-18 21:48 -------
The controller has two interfaces - compatible IDE interface and an AHCI one. 
The IDE interface can be driven by ata_piix while the AHCI interface can be
driven by ahci.  If ata_piix is loaded first, it grabs the device; otherwise,

This is a special case.  IIRC, in all other cases, dual mode controllers can be
put into one of either mode and that is determined either by BIOS or PCI
quirks, so no driver contention there.  Only ICH6s use the same PCI ID for both
IDE and AHCI modes and those two drivers differ in capability.

Drivers are coping quite well but they can't cope beyond hardware restrictions.
 One solution I can think of is to conditionalize out those duplicate PCI IDs
>from ata_piix if CONFIG_SATA_AHCI is 'y' or 'm' but I'm afraid that would just
end up upsetting more users.  Things have been this way for a very long time

Distros can comment out duplicate PCI IDs from ata_piix if making module
loading order deterministic is difficult.

Robert, can you cc Bill Nottingham here?
Comment 27 mail@romal.de 2007-11-12 03:01:12 EST
It is in F8 as well.
Comment 28 Bug Zapper 2008-04-03 14:36:30 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 29 mail@romal.de 2008-04-16 08:38:22 EDT
Jeff Garzik upstreamed a fix on 04.04.2008 into the kernel. With the
installation-media based on a rebased kernel.rpm I call test, if the fix works.

With Fedora 9 Beta the ich6-driver is still broken.
Comment 30 mail@romal.de 2008-04-18 12:21:21 EDT
Still broken in F9 preview. Anaconda does not see any hdds.
Comment 31 Chuck Ebbert 2008-04-18 14:56:07 EDT
The kernel in the preview was built on April 10 and should have the fix
mentioned in comment 29.
Comment 32 mail@romal.de 2008-04-20 03:50:29 EDT
Maybe Jeff can answers this. Is this patch included in 2.6.25 oder scheduled for
a later kernel ?

Posted by Tejun:  http://marc.info/?l=linux-ide&m=120651487507202&w=2
Included by Jeff: http://marc.info/?l=linux-ide&m=120729493203454&w=2
Comment 33 mail@romal.de 2008-04-23 14:16:31 EDT
Still broken in F9 Preview.
Comment 35 Bill Nottingham 2008-04-23 23:27:40 EDT
Booting the installer with 'blacklist=ata_piix' may help you.
Comment 36 mail@romal.de 2008-04-24 00:46:21 EDT
The optical drives depends on ata_piix.
Comment 37 Bill Nottingham 2008-04-24 10:11:37 EDT
Doh. So, what you'd have to do is to boot with 'blacklist=ata_piix', and then go
to driver selection and try and load the driver later after ahci loads.
Comment 38 mail@romal.de 2008-04-25 09:13:55 EDT
Yes, that works. I always booted via pxe and did a network-install.
Comment 39 Bug Zapper 2008-05-13 22:27:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 40 mail@romal.de 2008-10-21 04:12:58 EDT
Fixed in F10 Snap 2 due to kernel 2.6.27. Thanks to all.

Note You need to log in before you can comment on or make changes to this bug.